## libkolabxml 1.1.4

=== CMakeLists.txt ===
# The special language NONE is not available in cmake 2.6
if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 6)
    project(Libkolabxml NONE)
else()
    project(Libkolabxml C)
endif()

cmake_minimum_required(VERSION 2.6)

option( BUILD_TESTS "Build the tests" TRUE )
option( BUILD_UTILS "Build optional utils" FALSE )
option( DIST_ONLY "Build dist targets only (does not require a compiler)" FALSE )
option( PYTHON_BINDINGS "Build bindings for python" FALSE )
option( PHP_BINDINGS "Build bindings for php" FALSE )
option( CSHARP_BINDINGS "Build bindings for csharp" FALSE )
option( JAVA_BINDINGS "Build bindings for java" FALSE )
option( QT5_BUILD "Build libkolabxml using the Qt5 framework" FALSE)



set(Libkolabxml_MODULE_DIR ${Libkolabxml_SOURCE_DIR}/cmake/modules)
set(CMAKE_MODULE_PATH ${Libkolabxml_MODULE_DIR})

# only available from cmake-2.8.0
if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 7)
    cmake_policy(SET CMP0012 NEW)
endif()

# only available from cmake-2.8.4
if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 7 AND
    ${CMAKE_PATCH_VERSION} GREATER 3)
    cmake_policy(SET CMP0017 NEW)
endif()

# Versioning
# x.y.z scheme
# Development versions are only x.y
#
# i.e.
# 0.1 (0.1 development version)
# 0.1.0 (first release)
# 0.1.1 (patch release for 0.1.0)
# 0.2 (0.2 development version)

set (Libkolabxml_VERSION_MAJOR 1)
set (Libkolabxml_VERSION_MINOR 1)
# Enable the full x.y.z version only for release versions
set (Libkolabxml_VERSION_PATCH 4)
set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}.${Libkolabxml_VERSION_PATCH}" )
#set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}" )

set (Libkolabxml_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolabxml_VERSION})
set (KOLAB_FORMAT_VERSION "3.1.0")

message("Building DIST targets (make dist, make snapshot)")
#make dist requires a tag with ${ARCHIVE_NAME} (e.g. libkolabxml-0.2.0)
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${Libkolabxml_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ ${ARCHIVE_NAME}
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

#snapshot of current development version
set(SNAPSHOTARCHIVE_NAME "${CMAKE_PROJECT_NAME}-${Libkolabxml_VERSION}-HEAD")
add_custom_target(snapshot
    COMMAND git archive --prefix=${SNAPSHOTARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${SNAPSHOTARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

#It's possible to make dist targets only using:
#cmake -DDIST_ONLY=TRUE  ..
if (DIST_ONLY)
    message("Building DIST targets ONLY (cmake -DDIST_ONLY=FALSE  .. for full build)")
    return()
endif()

#C++ is required from here on
enable_language(CXX)

set(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE STRING "The directories where to install libraries to")
set(INCLUDE_INSTALL_DIR include CACHE STRING "The directory where to install headers to")
set(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/kolabxml)
set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Libkolabxml )

# Make relative paths absolute (needed later on)
foreach(p LIB INCLUDE CMAKECONFIG)
    set(var ${p}_INSTALL_DIR)
    if(NOT IS_ABSOLUTE "${${var}}")
        set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
    endif()
endforeach()

configure_file(libkolabxml-version.h.cmake "${CMAKE_BINARY_DIR}/libkolabxml-version.h" @ONLY)

set(Boost_USE_MULTITHREADED ON)
find_package(Boost REQUIRED COMPONENTS thread system)
if (Boost_FOUND)
    message("Found boost in ${Boost_INCLUDE_DIRS}")
endif (Boost_FOUND)

find_package(LibkolabxmlDependencies REQUIRED) # Must be after findboost

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall" )

execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion
                OUTPUT_VARIABLE GCC_VERSION)
if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
    message(STATUS "GCC Version >= 4.7, applying unqualified lookup workaround")
    # gcc 4.7 no longer performs unqualified lookups by default, see: http://gcc.gnu.org/gcc-4.7/porting_to.html.
    # This workaround is added for xsd code, which fails otherwise to compile. -fpermissive turns the errors into warnings. 
    # It's only temporary, and should be removed once xsd is fixed.
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive" ) 
endif()

file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bindings)

set( SCHEMA_DIR ${CMAKE_SOURCE_DIR}/schemas )

# Generate bindings
# WARNING: The inclusion order in SCHEMAS matters with xerces < 3.1.0. It seems without XMLUni::fgXercesHandleMultipleImports at least kolabformat-xcard.xsd MUST be before xCard.xsd,
# otherwise the compiled schema will simply lack the definitions of kolabformat-xcard.xsd (this affects xsdbin only).
set( SCHEMAS
    ${SCHEMA_DIR}/ical/kolabformat-xcal.xsd
    ${SCHEMA_DIR}/ical/iCalendar-params.xsd
    ${SCHEMA_DIR}/ical/iCalendar-props.xsd
    ${SCHEMA_DIR}/ical/iCalendar-valtypes.xsd
    ${SCHEMA_DIR}/kolabformat-xcard.xsd
    ${SCHEMA_DIR}/xCard.xsd
    ${SCHEMA_DIR}/kolabformat.xsd
)

set( SCHEMA_SOURCEFILES  
    ${CMAKE_BINARY_DIR}/bindings/kolabformat.cxx
    ${CMAKE_BINARY_DIR}/bindings/xCard.cxx
    ${CMAKE_BINARY_DIR}/bindings/kolabformat-xcal.cxx
    ${CMAKE_BINARY_DIR}/bindings/kolabformat-xcard.cxx
    ${CMAKE_BINARY_DIR}/bindings/iCalendar-params.cxx
    ${CMAKE_BINARY_DIR}/bindings/iCalendar-props.cxx
    ${CMAKE_BINARY_DIR}/bindings/iCalendar-valtypes.cxx
#     bindings/iCalendar-link-extension.cxx
#     bindings/iCalendar-bw-extensions.cxx
#     bindings/iCalendar-ms-extensions.cxx
)

#xsdcxx cxx-tree --generate-xml-schema --generate-serialization --custom-type date_time --hxx-epilogue '#include "bindings/customtypes/xml-schema-custom.hxx"' xml-schema.xsd
# --generate-inline --extern-xml-schema xml-schema.xsd
# --cxx-suffix .cpp --hxx-suffix .h   
add_custom_command(OUTPUT ${SCHEMA_SOURCEFILES}
    COMMAND ${XSDCXX} cxx-tree --generate-polymorphic --generate-serialization  --namespace-map http://kolab.org=KolabXSD --root-element icalendar --root-element vcards --root-element note --root-element configuration --root-element file --output-dir ${CMAKE_BINARY_DIR}/bindings ${SCHEMAS}
    COMMENT "Generating XSD bindings"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    DEPENDS ${SCHEMAS}
    VERBATIM
    )

# Compile xsdbin if not found
if (NOT XSDBIN_FOUND)
    add_executable(xsdbin compiled/xsdbin.cxx)
    target_link_libraries(xsdbin ${XERCES_C})
    set(XSDBIN ${CMAKE_BINARY_DIR}/xsdbin)
endif ()

# Compile Schemas
add_custom_command(OUTPUT kolabformat-xcal-schema.cxx
        COMMAND ${XSDBIN} --verbose --array-name iCalendar_schema --output-dir ${CMAKE_BINARY_DIR} ${SCHEMAS}
        COMMENT "Compiling Kolab XSD schema"
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        DEPENDS ${SCHEMAS} ${XSDBIN}
        VERBATIM
    )

set( SCHEMA_SOURCEFILES ${SCHEMA_SOURCEFILES} ${CMAKE_BINARY_DIR}/kolabformat-xcal-schema.cxx)

# ---------

SET_SOURCE_FILES_PROPERTIES(${SCHEMA_SOURCEFILES} PROPERTIES GENERATED 1)
ADD_CUSTOM_TARGET(generate_bindings ALL DEPENDS ${SCHEMA_SOURCEFILES})

include_directories(
    ./
    compiled
    src/containers
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Boost_INCLUDE_DIRS}
    ${XSDCXX_INCLUDE_DIRS}
    ${XERCES_C_INCLUDE_DIRS}
    ${CURL_INCLUDE_DIRS}
)


add_subdirectory(src)

if (BUILD_UTILS)
    add_subdirectory(utils)
endif()

if (BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

#Get the include directory relative to CMAKECONFIG_INSTALL_DIR
file(RELATIVE_PATH REL_INCLUDE_DIR "${CMAKECONFIG_INSTALL_DIR}" "${INCLUDE_INSTALL_DIR}")
#Assemble the full relative path. This will be used in the LibkolabxmlConfig.cmake, which will be installed in CMAKECONFIG_INSTALL_DIR
set(CONF_INCLUDE_DIRS "\${Libkolabxml_CMAKE_DIR}/${REL_INCLUDE_DIR}")

install(EXPORT LibkolabxmlExport DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE LibkolabxmlTargets.cmake )

configure_file(${Libkolabxml_MODULE_DIR}/LibkolabxmlConfig.cmake.in ${Libkolabxml_BINARY_DIR}/LibkolabxmlConfig.cmake @ONLY )
configure_file(${Libkolabxml_MODULE_DIR}/LibkolabxmlConfigVersion.cmake.in ${Libkolabxml_BINARY_DIR}/LibkolabxmlConfigVersion.cmake @ONLY )
# Install these two files into the same directory as the generated exports-file.
install(FILES ${Libkolabxml_BINARY_DIR}/LibkolabxmlConfig.cmake ${Libkolabxml_BINARY_DIR}/LibkolabxmlConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR} )

=== debian/changelog ===
libkolabxml (1.1.4-1) unstable; urgency=medium

  * New upstream release (1.1.4). (Closes: 811631)
  * Update the symbols files to make them compatible with gcc-6.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Jul 2016 17:04:15 +0200

libkolabxml (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Updated symbolfile (only optional symbols updates)

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 14 Dec 2015 19:22:51 +0100

libkolabxml (1.1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove PHP bindings as swig doesn't support PHP 7.0 yet.
    (Closes: #821687)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Jun 2016 10:05:45 +0200

=== debian/control ===
Source: libkolabxml
Section: libs
Priority: optional
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>, Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               debhelper (>= 9),
               dh-python,
               pkg-kde-tools (>= 0.12),
               libxerces-c-dev,
               xsdcxx (>= 4.0),
               uuid-dev,
               libboost-dev,
               libboost-system-dev,
               libboost-thread-dev,
               swig,
               libcurl4-gnutls-dev,
               python-dev (>= 2.7),
               python3-dev,
               libqt4-dev
X-Python-Version: >= 2.7
Standards-Version: 3.9.7
Homepage: http://git.kolab.org/libkolabxml
Vcs-Git: https://anonscm.debian.org/git/pkg-kolab/libkolabxml.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolabxml.git

Package: libkolabxml1v5
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkolabxml1
Replaces: libkolabxml1
Description: Kolab XML format (shared library)
 Libkolabxml is the reference implementation of the Kolab XML format.
 .
 The Kolab 3.0 XML format is defined in
 <http://wiki.kolab.org/User:Mollekopf/Drafts/KEP:17>.
 .
 This package provides serialization/deserialization from/to  in-memory
 representations for all Kolab Objects, including input validation.

Package: python-kolabformat
Architecture: any
Section: python
Depends: libkolabxml1v5 (= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 2 bindings for Kolab Format 3.0 XML parsing
 Libkolabxml is the reference implementation of the Kolab XML format.
 For more information see the libkolabxml package.
 .
 This package provides Python 2 bindings for libkolabxml.

Package: python3-kolabformat
Architecture: any
Section: python
Depends: libkolabxml1v5 (= ${binary:Version}),
         ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Kolab Format 3.0 XML parsing
 Libkolabxml is the reference implementation of the Kolab XML format.
 For more information see the libkolabxml package.
 .
 This package provides Python 3 bindings for libkolabxml.

Package: libkolabxml-dev
Section: libdevel
Architecture: any
Depends: libkolabxml1v5 (= ${binary:Version}),
         ${misc:Depends}, libboost-dev, libboost-thread-dev, libxerces-c-dev,
         libcurl4-gnutls-dev
Description: Development files for libkolabxml
 Libkolabxml is the reference implementation of the Kolab XML format.
 For more information see the libkolabxml package.
 .
 This package provides development files libkolabxml.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2 := $(shell pyversions -d)
PYTHON3 := $(shell py3versions -d)
PYTHON2_SITEARCH := $(shell python2 -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')
PYTHON3_SITEARCH := $(shell python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib(1))')
BUILD_PY3 := build-py3

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed"

%:
	dh $@ --parallel --with python2,python3,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPYTHON_BINDINGS=ON \
		-DPYTHON_INSTALL_DIR=$(PYTHON2_SITEARCH) \
		-DPYTHON_INCLUDE_DIR=/usr/include/$(PYTHON2) \
		-DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/lib$(PYTHON2).so
	dh_auto_configure --builddirectory=$(BUILD_PY3) -- \
		-DPYTHON_BINDINGS=ON \
		-DPYTHON_INSTALL_DIR=$(PYTHON3_SITEARCH) \
		-DPYTHON_INCLUDE_DIR=/usr/include/$(PYTHON3) \
		-DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/lib$(PYTHON3)m.so

override_dh_auto_build:
	dh_auto_build --parallel --builddirectory=$(BUILD_PY3)
	dh_auto_build --parallel

override_dh_auto_install:
	dh_auto_install --builddirectory=$(BUILD_PY3)
	dh_auto_install

override_dh_install:
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILD_PY3)

## libkolabxml 1.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 set (Libkolabxml_VERSION_MAJOR 1)
 set (Libkolabxml_VERSION_MINOR 1)
 # Enable the full x.y.z version only for release versions
-set (Libkolabxml_VERSION_PATCH 4)
+set (Libkolabxml_VERSION_PATCH 6)
 set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}.${Libkolabxml_VERSION_PATCH}" )
 #set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}" )

=== src/CMakeLists.txt ===

#This property is not available anymore here, although present in the parent file.
SET_SOURCE_FILES_PROPERTIES(${SCHEMA_SOURCEFILES} PROPERTIES GENERATED 1)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -Wp,-D_FORTIFY_SOURCE=2 -O2" ) #always generate shared libraries with -fPIC, -D_FORTIFY_SOURCE=2 enables some extra checking

# Library with serialization/deserialization code and kolab-containers
add_library(kolabxml SHARED
    kolabformat.cpp
    objectvalidation.cpp
    containers/kolabcontainers.cpp
    containers/kolabnote.cpp
    containers/kolabevent.cpp
    containers/kolabtodo.cpp
    containers/kolabjournal.cpp
    containers/kolabcontact.cpp
    containers/kolabconfiguration.cpp
    containers/kolabfreebusy.cpp
    containers/kolabfile.cpp
    utils.cpp base64.cpp uriencode.cpp
    ../compiled/XMLParserWrapper.cpp
    ../compiled/grammar-input-stream.cxx
    ${SCHEMA_SOURCEFILES}
)
add_dependencies(kolabxml generate_bindings)
target_link_libraries(kolabxml ${XERCES_C} ${Boost_LIBRARIES} ${UUID} ${CURL})

# For the core library we can be stricter when compiling. This doesn't work with the auto generated code though.
if (${Boost_MAJOR_VERSION}.${Boost_MINOR_VERSION} VERSION_LESS 1.42)
    # We can't be as strict on with older versions of boost it seems (not sure if this is the exact version number where it breaks)
    # Since this is only for el5 compatibility we relax the rules (resulting in a couple of warning but a working build)
    #for development add here -Werror -Wfatal-errors (but don't for releases)
    set_target_properties(kolabxml PROPERTIES COMPILE_FLAGS "-Wall -Wextra -Wconversion")
else() #then normal case
    #for development add here -Werror -Wfatal-errors (but don't for releases)
    set_target_properties(kolabxml PROPERTIES COMPILE_FLAGS "-Wall -Wextra -Wconversion -Wl,--no-undefined")
endif()

set_target_properties(kolabxml PROPERTIES VERSION ${Libkolabxml_VERSION} SOVERSION ${Libkolabxml_VERSION_MAJOR})

install(TARGETS kolabxml EXPORT LibkolabxmlExport 
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

install( FILES
    kolabformat.h
    containers/kolabevent.h
    containers/kolabevent_p.h
    containers/incidence_p.h
    containers/kolabtodo.h
    containers/kolabjournal.h
    containers/kolabcontact.h
    containers/kolabnote.h
    containers/kolabcontainers.h
    containers/kolabconfiguration.h
    containers/kolabfreebusy.h
    containers/kolabfile.h
    global_definitions.h
    DESTINATION ${INCLUDE_INSTALL_DIR})

#-----------------------SWIG--------------------
# Building of the bindings can be controlled using the switches along the lines of: cmake -DPHP_BINDINGS=TRUE -DCSHARP_BINDINGS=FALSE ..
if (SWIG_FOUND)
    if(CSHARP_BINDINGS)
        message("building csharp bindings")
        add_subdirectory(csharp)
    endif(CSHARP_BINDINGS)
    if(JAVA_BINDINGS)
        message("building java bindings")
        add_subdirectory(java)
    endif(JAVA_BINDINGS)
    if(PYTHON_BINDINGS)
        message("building python bindings")
        add_subdirectory(python)
    endif(PYTHON_BINDINGS)
    if(PHP_BINDINGS)
        message("building php bindings")
        add_subdirectory(php)
    endif(PHP_BINDINGS)
else()
    message(WARNING "Could not build SWIG bindings, because SWIG is missing.")
endif()

=== tests/CMakeLists.txt ===

#### Qt 4 and 5 ####
if(QT5_BUILD)
  find_package(ECM 1.1.0 REQUIRED NO_MODULE)
  set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

  find_package(Qt5Core REQUIRED)
  find_package(Qt5Test REQUIRED)

  include_directories(${QT_INCLUDES}) # TODO: Port away from this.

  if(CMAKE_VERSION VERSION_LESS 2.8.9)
    message(FATAL_ERROR "Akonadi Qt 5 build requires at least CMake version 2.8.9")
  endif()

  if (Qt5_POSITION_INDEPENDENT_CODE)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
  endif()

  set(QT_QTCORE_LIBRARY Qt5::Core)
  set(QT_QTTEST_LIBRARY Qt5::Test)
else()
  set(QT_USE_IMPORTED_TARGETS TRUE) # Qt 4 only
  set(QT_MIN_VERSION 4.6.2)         # Qt 4 only

  find_package(Qt4 REQUIRED)
endif()


add_definitions(-DTEST_DATA_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )
include_directories(${CMAKE_CURRENT_BINARY_DIR})

include_directories(${QT_INCLUDES} ${QT_INCLUDE_DIR})
if (NOT APPLE)
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--no-undefined" ) 
endif()

if(PHP_BINDINGS)
    add_test(phptest php -d enable_dl=On -d include_path='.:/usr/share/pear:${CMAKE_BINARY_DIR}/src/php' -d extension=${CMAKE_BINARY_DIR}/src/php/kolabformat.so ${CMAKE_SOURCE_DIR}/src/php/test.php --verbose)
endif()

if (QT4_FOUND OR Qt5Core_FOUND)
    if (Qt5Core_FOUND)
      set(CMAKE_AUTOMOC ON)
      set(CMAKE_INCLUDE_CURRENT_DIR ON)
    endif()

    message("Buildings tests")
    if (QT4_FOUND)
      QT4_AUTOMOC(bindingstest.cpp)
      QT4_AUTOMOC(conversiontest.cpp)
      QT4_AUTOMOC(parsingtest.cpp)
      QT4_AUTOMOC(validationtest.cpp)
      QT4_AUTOMOC(kolabconversationtest.cpp)
     endif()

    add_executable(bindingstest bindingstest.cpp ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
    target_link_libraries(bindingstest ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} kolabxml ${XERCES_C})
    add_test(bindingstest ${CMAKE_CURRENT_BINARY_DIR}/bindingstest)

    add_executable(conversiontest conversiontest.cpp ${CMAKE_CURRENT_BINARY_DIR}/${CONVERSIONTEST_MOC})
    target_link_libraries(conversiontest ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} kolabxml ${XERCES_C})
    add_test(conversiontest ${CMAKE_CURRENT_BINARY_DIR}/conversiontest)

    add_executable(parsingtest parsingtest.cpp ${CMAKE_CURRENT_BINARY_DIR}/${PARSINGTEST_MOC})
    target_link_libraries(parsingtest ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} kolabxml ${XERCES_C})
    add_test(parsingtest ${CMAKE_CURRENT_BINARY_DIR}/parsingtest)

    add_executable(validationtest validationtest.cpp ${CMAKE_CURRENT_BINARY_DIR}/${VALIDATIONTEST_MOC})
    target_link_libraries(validationtest ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} kolabxml ${XERCES_C})
    add_test(validationtest ${CMAKE_CURRENT_BINARY_DIR}/validationtest)

    add_executable(kolabconversationtest kolabconversationtest.cpp ${CMAKE_CURRENT_BINARY_DIR}/${KOLABCONVERSATIONTEST_MOC})
    target_link_libraries(kolabconversationtest ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} kolabxml ${XERCES_C})
    add_test(kolabconversationtest ${CMAKE_CURRENT_BINARY_DIR}/kolabconversationtest)
else()
    message(WARNING "Could not build tests because qt is missing")
endif()

=== src/csharp/CMakeLists.txt ===
# Generate C# wrapper
include_directories(../)

# Compile CSHARP Bindings
find_program(GMCS NAMES gmcs HINTS /usr/bin/)

if (NOT GMCS)
    message("gmcs not found, not building csharp bindings")
    return()
endif()

set(KOLAB_SWIG_CSHARP_SOURCE_FILE ${CMAKE_CURRENT_BINARY_DIR}/csharp_kolabformat_wrapper.cpp) #it seems we never use this file? it works at least as a dependecy.
set(KOLAB_SWIG_CSHARP_FILES
        ${CMAKE_CURRENT_BINARY_DIR}/Address.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Affiliation.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Alarm.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Attachment.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Attendee.cs
        ${CMAKE_CURRENT_BINARY_DIR}/CategoryColor.cs
        ${CMAKE_CURRENT_BINARY_DIR}/cDateTime.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Classification.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Configuration.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Contact.cs
        ${CMAKE_CURRENT_BINARY_DIR}/ContactReference.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Crypto.cs
        ${CMAKE_CURRENT_BINARY_DIR}/CustomProperty.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Cutype.cs
        ${CMAKE_CURRENT_BINARY_DIR}/DayPos.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Dictionary.cs
        ${CMAKE_CURRENT_BINARY_DIR}/DistList.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Duration.cs
        ${CMAKE_CURRENT_BINARY_DIR}/ErrorSeverity.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Email.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Event.cs
        ${CMAKE_CURRENT_BINARY_DIR}/File.cs
        ${CMAKE_CURRENT_BINARY_DIR}/FileDriver.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Freebusy.cs
        ${CMAKE_CURRENT_BINARY_DIR}/FreebusyPeriod.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Geo.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Journal.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Key.cs
        ${CMAKE_CURRENT_BINARY_DIR}/kolabformatPINVOKE.cs
        ${CMAKE_CURRENT_BINARY_DIR}/NameComponents.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Note.cs
        ${CMAKE_CURRENT_BINARY_DIR}/PartStatus.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Period.cs
        ${CMAKE_CURRENT_BINARY_DIR}/RecurrenceRule.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Related.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Relation.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Relative.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Role.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Snippet.cs
        ${CMAKE_CURRENT_BINARY_DIR}/SnippetsCollection.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Status.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Telephone.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Todo.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Url.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectoraddress.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectoraffiliation.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectoralarm.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorattachment.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorattendee.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorcategorycolor.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorcontactref.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorcs.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectordatetime.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectordaypos.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectoremail.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorevent.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorfreebusyperiod.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorgeo.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectori.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorkey.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorperiod.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorrelated.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectors.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorsnippet.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectortelephone.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectortodo.cs
        ${CMAKE_CURRENT_BINARY_DIR}/vectorurl.cs
        ${CMAKE_CURRENT_BINARY_DIR}/Weekday.cs
    )
set(KOLAB_SWIG_CSHARP_DLL_FILE ${CMAKE_CURRENT_BINARY_DIR}/kolabformat.dll)
set(KOLAB_SWIG_CSHARP_TEST_FILE ${CMAKE_CURRENT_BINARY_DIR}/test.exe)

add_custom_command(OUTPUT ${KOLAB_SWIG_CSHARP_SOURCE_FILE} ${KOLAB_SWIG_CSHARP_FILES}
        COMMAND ${SWIG} -v -c++ -csharp -o ${KOLAB_SWIG_CSHARP_SOURCE_FILE}  ../kolabformat.i
        COMMENT "Generating C# bindings"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        DEPENDS ../kolabformat.i kolabxml
        VERBATIM
    )

SET_SOURCE_FILES_PROPERTIES(${KOLAB_SWIG_CSHARP_SOURCE_FILE} PROPERTIES GENERATED 1)
SET_SOURCE_FILES_PROPERTIES(${KOLAB_SWIG_CSHARP_FILES} PROPERTIES GENERATED 1)

configure_file(test.cs ${CMAKE_CURRENT_BINARY_DIR} COPYONLY)

add_custom_command(OUTPUT ${KOLAB_SWIG_CSHARP_DLL_FILE}
        COMMAND ${GMCS} -target:library "${CMAKE_CURRENT_BINARY_DIR}/kolabformat.cs" ${KOLAB_SWIG_CSHARP_FILES}
        COMMENT "Compiling C# library"
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        DEPENDS kolabxml ${KOLAB_SWIG_CSHARP_SOURCE_FILE} ${KOLAB_SWIG_CSHARP_FILES}
        VERBATIM
    )

add_custom_command(OUTPUT ${KOLAB_SWIG_CSHARP_TEST_FILE}
        COMMAND ${GMCS} -reference:${KOLAB_SWIG_CSHARP_DLL_FILE} ${CMAKE_CURRENT_BINARY_DIR}/test.cs
        COMMENT "Compiling C# test.exe"
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        DEPENDS kolabxml ${KOLAB_SWIG_CSHARP_SOURCE_FILE} ${KOLAB_SWIG_CSHARP_DLL_FILE}
        VERBATIM
    )

SET_SOURCE_FILES_PROPERTIES(${KOLAB_SWIG_CSHARP_DLL_FILE} PROPERTIES GENERATED 1)
SET_SOURCE_FILES_PROPERTIES(${KOLAB_SWIG_CSHARP_TEST_FILE} PROPERTIES GENERATED 1)
ADD_CUSTOM_TARGET(generate_csharp_bindings ALL DEPENDS ${KOLAB_SWIG_CSHARP_DLL_FILE} ${KOLAB_SWIG_CSHARP_TEST_FILE})

set(CSHARP_INSTALL_DIR "${CMAKE_CURRENT_BINARY_DIR}/csharpbindings" CACHE STRING "Install directory for csharp bindings.")

#not sure about the LIBRARY here, but might work
install(FILES ${KOLAB_SWIG_CSHARP_DLL_FILE} DESTINATION ${CSHARP_INSTALL_DIR})
install(FILES ${KOLAB_SWIG_CSHARP_TEST_FILE} DESTINATION ${CSHARP_INSTALL_DIR})

=== src/java/CMakeLists.txt ===
# Generate Java wrapper
include_directories(../)

set(KOLAB_SWIG_JAVA_SOURCE_FILE java_kolabformat_wrapper.cpp)
set(KOLAB_SWIG_JAVA_FILES
        ${CMAKE_CURRENT_BINARY_DIR}/Address.java
        ${CMAKE_CURRENT_BINARY_DIR}/Affiliation.java
        ${CMAKE_CURRENT_BINARY_DIR}/Alarm.java
        ${CMAKE_CURRENT_BINARY_DIR}/Attachment.java
        ${CMAKE_CURRENT_BINARY_DIR}/Attendee.java
        ${CMAKE_CURRENT_BINARY_DIR}/CategoryColor.java
        ${CMAKE_CURRENT_BINARY_DIR}/cDateTime.java
        ${CMAKE_CURRENT_BINARY_DIR}/Classification.java
        ${CMAKE_CURRENT_BINARY_DIR}/Configuration.java
        ${CMAKE_CURRENT_BINARY_DIR}/Contact.java
        ${CMAKE_CURRENT_BINARY_DIR}/ContactReference.java
        ${CMAKE_CURRENT_BINARY_DIR}/Crypto.java
        ${CMAKE_CURRENT_BINARY_DIR}/CustomProperty.java
        ${CMAKE_CURRENT_BINARY_DIR}/Cutype.java
        ${CMAKE_CURRENT_BINARY_DIR}/DayPos.java
        ${CMAKE_CURRENT_BINARY_DIR}/Dictionary.java
        ${CMAKE_CURRENT_BINARY_DIR}/DistList.java
        ${CMAKE_CURRENT_BINARY_DIR}/Duration.java
        ${CMAKE_CURRENT_BINARY_DIR}/ErrorSeverity.java
        ${CMAKE_CURRENT_BINARY_DIR}/Event.java
        ${CMAKE_CURRENT_BINARY_DIR}/File.java
        ${CMAKE_CURRENT_BINARY_DIR}/FileDriver.java
        ${CMAKE_CURRENT_BINARY_DIR}/Freebusy.java
        ${CMAKE_CURRENT_BINARY_DIR}/FreebusyPeriod.java
        ${CMAKE_CURRENT_BINARY_DIR}/Geo.java
        ${CMAKE_CURRENT_BINARY_DIR}/Journal.java
        ${CMAKE_CURRENT_BINARY_DIR}/Key.java
        ${CMAKE_CURRENT_BINARY_DIR}/kolabformat.java
        ${CMAKE_CURRENT_BINARY_DIR}/kolabformatJNI.java
        ${CMAKE_CURRENT_BINARY_DIR}/Makefile
        ${CMAKE_CURRENT_BINARY_DIR}/NameComponents.java
        ${CMAKE_CURRENT_BINARY_DIR}/Note.java
        ${CMAKE_CURRENT_BINARY_DIR}/PartStatus.java
        ${CMAKE_CURRENT_BINARY_DIR}/Period.java
        ${CMAKE_CURRENT_BINARY_DIR}/RecurrenceRule.java
        ${CMAKE_CURRENT_BINARY_DIR}/Relation.java
        ${CMAKE_CURRENT_BINARY_DIR}/Related.java
        ${CMAKE_CURRENT_BINARY_DIR}/Relative.java
        ${CMAKE_CURRENT_BINARY_DIR}/Role.java
        ${CMAKE_CURRENT_BINARY_DIR}/Status.java
        ${CMAKE_CURRENT_BINARY_DIR}/Snippet.java
        ${CMAKE_CURRENT_BINARY_DIR}/SnippetsCollection.java
        ${CMAKE_CURRENT_BINARY_DIR}/Telephone.java
        ${CMAKE_CURRENT_BINARY_DIR}/Todo.java
        ${CMAKE_CURRENT_BINARY_DIR}/Url.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectoraddress.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectoraffiliation.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectoralarm.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorattachment.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorattendee.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorcategorycolor.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorcontactref.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorcs.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectordatetime.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectordaypos.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectoremail.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorevent.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorfreebusyperiod.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorgeo.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectori.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorkey.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorperiod.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorrelated.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectors.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorsnippet.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectortelephone.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectortodo.java
        ${CMAKE_CURRENT_BINARY_DIR}/vectorurl.java
        ${CMAKE_CURRENT_BINARY_DIR}/Weekday.java
    )

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${KOLAB_SWIG_JAVA_SOURCE_FILE} ${KOLAB_SWIG_JAVA_FILES}
    COMMAND ${SWIG} -v -c++ -java -o ${CMAKE_CURRENT_BINARY_DIR}/${KOLAB_SWIG_JAVA_SOURCE_FILE}  ../kolabformat.i
    COMMENT "Generating Java bindings"
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ../kolabformat.i kolabxml
    VERBATIM
    )

SET_SOURCE_FILES_PROPERTIES(${KOLAB_SWIG_JAVA_SOURCE_FILE} PROPERTIES GENERATED 1)

ADD_CUSTOM_TARGET(generate_JAVA_bindings ALL DEPENDS ${KOLAB_SWIG_JAVA_SOURCE_FILE})

# Compile JAVA Bindings

set(JAVA_INSTALL_DIR "${CMAKE_CURRENT_BINARY_DIR}/javabindings" CACHE STRING "Install directory for java bindings.")

install( FILES
        ${KOLAB_SWIG_JAVA_FILES}
        DESTINATION ${JAVA_INSTALL_DIR}
    )

=== debian/changelog ===
libkolabxml (1.1.6-6ubuntu1) focal; urgency=medium

  * Update symbol files for boost, GCC, or whatever ...

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2020 15:26:08 +0100

libkolabxml (1.1.6-6build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 11:59:48 +0100

libkolabxml (1.1.6-6build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:43:56 +0000

libkolabxml (1.1.6-6) unstable; urgency=medium

  * Update symbols from buildds for 1.1.6 (Closes: #945420)

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 Nov 2019 21:56:30 +0100

libkolabxml (1.1.6-5) unstable; urgency=medium

  * Remove python2 support (Closes: #936885).
  * Update symbolsfiles in order to build with gcc-9 (Closes: #925748).
  * Add Build-Depends-Package to symbolsfile.
  * Update compat to 12 (No changes needed) (Closes: #943628).
  * Update Standards-Version to 4.4.1 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Fri, 15 Nov 2019 20:30:31 +0100

libkolabxml (1.1.6-4) unstable; urgency=medium

  * Update Vcs-* to salsa.
  * d/watch: Update upstream url.
  * Update invalid maintainer address to (Closes: #899581)
  * Replace Qt4 with Qt5 (Closes: #875019)

 -- Sandro Knauß <hefee@debian.org>  Tue, 05 Mar 2019 02:21:17 +0100

libkolabxml (1.1.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark a bunch of symbols leaked from boost as optional.  Closes: #914147
  * Set Rules-Requires-Root:no.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 20 Jan 2019 13:33:39 +0100

libkolabxml (1.1.6-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Update symbolsfile with buildlogs from builds (1.1.6).
  * Fix "Transition to xerces-c 3.2" (Closes: #881115)
    - build and update symbolsfile with xerces-c 3.2

 -- Sandro Knauß <hefee@debian.org>  Sun, 03 Dec 2017 11:23:50 +0100

libkolabxml (1.1.6-2) unstable; urgency=medium

  * Update symbolsfile with buildlogs from buildds from (1.1.6).
    - Fix "libkolabxml FTBFS on ppc64el: symbol differences" (Closes: #878786)
  * Use pybuild for building for all python versions.
  * Use python3-all-dev as Build-Dependency to build for all python versions.
  * Use dh_missing instead of dh_install.

 -- Sandro Knauß <hefee@debian.org>  Tue, 17 Oct 2017 01:21:01 +0200

libkolabxml (1.1.6-1) unstable; urgency=medium

  * New upstream version (1.1.6).
  * Add second upstream signing-key 0x28DE9FDA9342BF08.
  * Update my mailadresse to debian ones.
  * Update symbolsfile with buildlogs from buildds from (1.1.4).
  * Bump to debhelper 10 (removed default --parallel from rules file).
  * Update Standards-Version to 4.1.1. No changes needed.
  * Add dep3 header at use-phpconfig-to-detect-phpincludedir.patch
  * Update sysmbols file against 1.1.6.
  * Use https for link to dep5.
  * Update homepage url.

 -- Sandro Knauß <hefee@debian.org>  Sun, 15 Oct 2017 21:21:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: libkolabxml
 Section: libs
 Priority: optional
-Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
-Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>, Sandro Knauß <bugs@sandroknauss.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Kolab Maintainers <team+kolab-mantainers@tracker.debian.org>
+Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>, Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
                dh-python,
+               extra-cmake-modules,
                pkg-kde-tools (>= 0.12),
                libxerces-c-dev,
                xsdcxx (>= 4.0),
@@ -15,14 +17,13 @@
                libboost-thread-dev,
                swig,
                libcurl4-gnutls-dev,
-               python-dev (>= 2.7),
-               python3-dev,
-               libqt4-dev
-X-Python-Version: >= 2.7
-Standards-Version: 3.9.7
-Homepage: http://git.kolab.org/libkolabxml
-Vcs-Git: https://anonscm.debian.org/git/pkg-kolab/libkolabxml.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolabxml.git
+               python3-all-dev,
+               qtbase5-dev
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Homepage: https://git.kolab.org/diffusion/LKX/
+Vcs-Git: https://salsa.debian.org/debian//libkolabxml.git
+Vcs-Browser: https://salsa.debian.org/debian//libkolabxml
 
 Package: libkolabxml1v5
 Architecture: any
@@ -38,19 +39,6 @@
  .
  This package provides serialization/deserialization from/to  in-memory
  representations for all Kolab Objects, including input validation.
-
-Package: python-kolabformat
-Architecture: any
-Section: python
-Depends: libkolabxml1v5 (= ${binary:Version}),
-         ${python:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Python 2 bindings for Kolab Format 3.0 XML parsing
- Libkolabxml is the reference implementation of the Kolab XML format.
- For more information see the libkolabxml package.
- .
- This package provides Python 2 bindings for libkolabxml.
 
 Package: python3-kolabformat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed"

%:
	dh $@ --with python3,pkgkde_symbolshelper --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure -- --configure-args \
		"-DQT5_BUILD=ON \
	         -DPYTHON_BINDINGS=ON \
		 -DPYTHON_INSTALL_DIR={install_dir}"

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
opts="pgpmode=self" \
https://mirror.kolabenterprise.com/pub/releases/libkolabxml-([0-9\.]+)\.tar\.gz\.gpg

## libkolabxml 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,6 @@
-# The special language NONE is not available in cmake 2.6
-if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 6)
-    project(Libkolabxml NONE)
-else()
-    project(Libkolabxml C)
-endif()
-
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.5)
+
+project(Libkolabxml NONE)
 
 option( BUILD_TESTS "Build the tests" TRUE )
 option( BUILD_UTILS "Build optional utils" FALSE )
@@ -43,9 +38,9 @@
 # 0.2 (0.2 development version)
 
 set (Libkolabxml_VERSION_MAJOR 1)
-set (Libkolabxml_VERSION_MINOR 1)
+set (Libkolabxml_VERSION_MINOR 2)
 # Enable the full x.y.z version only for release versions
-set (Libkolabxml_VERSION_PATCH 6)
+set (Libkolabxml_VERSION_PATCH 0)
 set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}.${Libkolabxml_VERSION_PATCH}" )
 #set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}" )
 
@@ -66,7 +61,7 @@
     COMMAND git archive --prefix=${SNAPSHOTARCHIVE_NAME}/ HEAD
         | bzip2 > ${CMAKE_BINARY_DIR}/${SNAPSHOTARCHIVE_NAME}.tar.bz2
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
-
+        
 #It's possible to make dist targets only using:
 #cmake -DDIST_ONLY=TRUE  ..
 if (DIST_ONLY)
@@ -77,8 +72,12 @@
 #C++ is required from here on
 enable_language(CXX)
 
-set(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE STRING "The directories where to install libraries to")
-set(INCLUDE_INSTALL_DIR include CACHE STRING "The directory where to install headers to")
+
+# Used to set installation paths
+include(GNUInstallDirs)
+
+set(LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR} CACHE STRING "The directories where to install libraries to")
+set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR} CACHE STRING "The directory where to install headers to")
 set(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/kolabxml)
 set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Libkolabxml )

=== utils/CMakeLists.txt ===

find_package(Boost REQUIRED COMPONENTS program_options)

add_executable(kolabformatchecker kolabformatchecker.cpp)
target_link_libraries(kolabformatchecker kolabxml ${Boost_LIBRARIES})

=== debian/changelog ===
libkolabxml (1.2.0-2) unstable; urgency=medium

  * Update symbols for boost 1.74 (Closes: #977252).
  * Mark some symbols as optional, as they disappear with different build
    options (Closes: #976289).

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:32:12 +0100

libkolabxml (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to match new release place.
  * Delete signing key, as no signatures are available.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * fail-missing is default with compat=13.
  * Update install files.
  * Update symbols files. (Closes: #975444)

 -- Sandro Knauß <hefee@debian.org>  Tue, 01 Dec 2020 22:39:12 +0100

libkolabxml (1.1.6-8) unstable; urgency=high

  [ Sandro Knauß ]
  * Update symbols from buildds for 1.1.6 from alpha, hurd, mk68k, powerpc,
    sh4 and sparc64.

 -- Sandro Knauß <hefee@debian.org>  Thu, 15 Oct 2020 04:09:19 +0200

libkolabxml (1.1.6-7) unstable; urgency=high

  [ Sandro Knauß ]
  * Update symbols from buildds for GCC-10 (Closes: #957449).
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Bump compat level to 13.
  * Set upstream metadata fields: Repository.
  * fix debian-rules-uses-as-needed-linker-flag.
  * set buildinfo=+path.

 -- Sandro Knauß <hefee@debian.org>  Wed, 14 Oct 2020 12:16:50 +0200

libkolabxml (1.1.6-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * libkolabxml1v5.symbols: Removed symbols that disappeared when
    rebuilding with Boost 1.71. (Closes: #960418)

 -- Adrian Bunk <bunk@debian.org>  Thu, 11 Jun 2020 00:08:22 +0300

=== debian/control ===
Source: libkolabxml
Section: libs
Priority: optional
Maintainer: Debian Kolab Maintainers <team+kolab-mantainers@tracker.debian.org>
Uploaders: Paul Klos <kolab@klos2day.nl>,
           Diane Trout <diane@ghic.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules,
               libboost-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev,
               libxerces-c-dev,
               pkg-kde-tools (>= 0.12),
               python3-all-dev,
               qtbase5-dev,
               swig,
               uuid-dev,
               xsdcxx (>= 4.0),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://git.kolab.org/diffusion/LKX/
Vcs-Git: https://salsa.debian.org/debian//libkolabxml.git
Vcs-Browser: https://salsa.debian.org/debian//libkolabxml

Package: libkolabxml-dev
Section: libdevel
Architecture: any
Depends: libboost-dev,
         libboost-thread-dev,
         libcurl4-gnutls-dev,
         libkolabxml1v5 (= ${binary:Version}),
         libxerces-c-dev,
         ${misc:Depends},
Description: Development files for libkolabxml
 Libkolabxml is the reference implementation of the Kolab XML format.
 For more information see the libkolabxml package.
 .
 This package provides development files libkolabxml.

Package: libkolabxml1v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkolabxml1
Replaces: libkolabxml1
Description: Kolab XML format (shared library)
 Libkolabxml is the reference implementation of the Kolab XML format.
 .
 The Kolab 3.0 XML format is defined in
 <http://wiki.kolab.org/User:Mollekopf/Drafts/KEP:17>.
 .
 This package provides serialization/deserialization from/to  in-memory
 representations for all Kolab Objects, including input validation.

Package: python3-kolabformat
Architecture: any
Section: python
Depends: libkolabxml1v5 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Python 3 bindings for Kolab Format 3.0 XML parsing
 Libkolabxml is the reference implementation of the Kolab XML format.
 For more information see the libkolabxml package.
 .
 This package provides Python 3 bindings for libkolabxml.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_OPTIONS = buildinfo=+path

%:
	dh $@ --with python3,pkgkde_symbolshelper --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure -- --configure-args \
		"-DQT5_BUILD=ON \
	         -DPYTHON_BINDINGS=ON \
		 -DPYTHON_INSTALL_DIR={install_dir}"
